KDE 4.9 PyKDE API Reference

- KDE's Python API

# KDialogJobUiDelegate Class Reference

`from PyKDE4.kdeui import *`

Inherits: KJobUiDelegate → QObject

## Detailed Description

A UI delegate using KMessageBox for interaction (showing errors and warnings).

## Methods

| __init__ (self)
| setWindow (self, QWidget window)
| showErrorMessage (self)
| slotWarning (self, KJob job, QString plain, QString rich)
| updateUserTimestamp (self, long time)
long | userTimestamp (self)
QWidget | window (self)

## Method Documentation

__init__ | ( |  | self ) |

Constructs a new KDialogJobUiDelegate.

setWindow | ( | self, |
|  | QWidget | window
| ) |  |  |

Associate this job with a window given by window.

Parameters:

  | window | the window to associate to

See also:
  window()

showErrorMessage | ( |  | self ) |

slotWarning | ( | self, |
|  | KJob | job,
|  | QString | plain,
|  | QString | rich
| ) |  |  |

updateUserTimestamp | ( | self, |
|  | long | time
| ) |  |  |

Updates the last user action timestamp to the given time. See KApplication.updateUserTimestamp().

long userTimestamp | ( |  | self ) |

Internal:

QWidget window | ( |  | self ) |

Returns the window this job is associated with.

Returns:
  the associated window

See also:
  setWindow()